Junit in And not working on 672

Getting this:

D:\dev\jakarta\ojb\jakarta-ojb\build.xml:616: Could not create task or type of type: junit.

Any ideas?

Worked fine yesterday with 670.

4 comments
Comment actions Permalink

I just downloaded IDEA 3.0 (for Linux) and have the exact same problem. Everything works fine in 2.6, but I would rather use 3.0 as it is a lot faster.

Have you, or anyone else, solved this problem?

0
Comment actions Permalink

Run ant with debug option to see what really caused this error. Check the classpath for ant's optional.jar and junit.jar.

0
Comment actions Permalink

Try changing the JRE to use in the ant settings.
I had that type of problem once, with jarsign and genkey tasks that I'm using to generate my JavaWebStart distribution. I just had to change the JRE IDEA uses to launch the ANT script, from the default one (IDEA-embedded) to my JDK one.

Daniel.

0
Comment actions Permalink

I had originally searched IDEA's help for "junit", but I really should have searched for "ant". I found the paragraph about customizing the classpath in the Ant build properties. I simply added the junit.jar file and it now works.

Thanks for the responses.

nathan

P.S. I tried setting the Ant build properties to use my "custom" 1.4 JDK but that didn't help. Maybe I was doing it wrong.

0

Please sign in to leave a comment.